Subject: Re: 19654192-Broker- RU-When: 6 day(s), 8 hours away-Date : 14/02/2019 21:00 (Local) change delivery address.
From: Becho Davy Jaures <[email-masked]>
To: Ashwinee Latchayya <[email-masked]>
Date: Fri, 8 Feb 2019 05:29:24 -0700 (MST)

Hi Ashwinee 

Sorry Ashwinee,it was my mistake I did it in rush I'm really sorry. 

Kind regard, 
Becho 

From: "Becho Davy Jaures" <[email-masked]> 
To: "Ashwinee Latchayya" <[email-masked]> 
Sent: Friday, February 8, 2019 5:32:18 PM 
Subject: 19654192-Broker- RU-When: 6 day(s), 8 hours away-Date : 14/02/2019 21:00 (Local) change delivery address. 

Hi Ashwinee. 

With reference to TID: 19654192. Buyer has provided his delivery address: 

Carina Lars-Göran Wåhlin 
Ättarpsvägen 59 
24591 Staffanstorp 
I'm unable to change the buyer's address. 
Can you please contact the SS team to contact the broker. 
Thank you for your consideration.